<?php 

	$home_electrician_custom_css = '';

	// Site Title Color
	$home_electrician_site_title_color = get_theme_mod('home_electrician_site_title_color');
	$home_electrician_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_site_title_color) . ';';
	$home_electrician_custom_css .= '}';

	// Site Tagline Color
	$home_electrician_site_tagline_color = get_theme_mod('home_electrician_site_tagline_color');
	$home_electrician_custom_css .= '.logo p.site-description {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_site_tagline_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_logo_size = get_theme_mod('home_electrician_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($home_electrician_logo_size) {
		$home_electrician_logo_width_px = (350 * $home_electrician_logo_size) / 100; // Calculate the pixel width based on the percentage
		$home_electrician_custom_css .= '.site-logo img {';
		$home_electrician_custom_css .= 'width: '.esc_attr($home_electrician_logo_width_px).'px !important;';
		$home_electrician_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $home_electrician_theme_lay = get_theme_mod( 'home_electrician_width_options','Full Width');
    if($home_electrician_theme_lay == 'Full Width'){
		$home_electrician_custom_css .='body{';
			$home_electrician_custom_css .='max-width: 100%;';
		$home_electrician_custom_css .='}';
	}else if($home_electrician_theme_lay == 'Contained Width'){
		$home_electrician_custom_css .='body{';
			$home_electrician_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$home_electrician_custom_css .='}';
	}else if($home_electrician_theme_lay == 'Boxed Width'){
		$home_electrician_custom_css .='body{';
			$home_electrician_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$home_electrician_custom_css .='}';
	}

	// Submenu Dropdown Effect
	$home_electrician_dropdown_anim = get_theme_mod('home_electrician_dropdown_anim');
	$home_electrician_custom_css .='.primary-navigation ul ul{';
		$home_electrician_custom_css .='animation: '.esc_attr($home_electrician_dropdown_anim).' 1s ease;';
	$home_electrician_custom_css .='}';


	// Topbar Color


	$home_electrician_headermenu_color = get_theme_mod('home_electrician_headermenu_color');
	$home_electrician_custom_css .= ' .primary-navigation ul li a,.sf-arrows .sf-with-ul:after {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_headermenu_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headermenubg_color = get_theme_mod('home_electrician_headermenubg_color');
	$home_electrician_custom_css .= ' .primary-navigation ul::before {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electrician_headermenubg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headeractivemenuhover_color = get_theme_mod('home_electrician_headeractivemenuhover_color');
	$home_electrician_custom_css .= ' .primary-navigation .current_page_item a,.primary-navigation a:hover {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_headeractivemenuhover_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headeractivemenuhover_color = get_theme_mod('home_electrician_headeractivemenuhover_color');
	$home_electrician_custom_css .= ' .primary-navigation li.current_page_item a::before, .primary-navigation >li>a:active, .primary-navigation li a:hover::before {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electrician_headeractivemenuhover_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headersubmenuicon_color = get_theme_mod('home_electrician_headersubmenuicon_color');
	$home_electrician_custom_css .= ' .sf-arrows .sf-with-ul:after {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_headersubmenuicon_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headersubmenu_color = get_theme_mod('home_electrician_headersubmenu_color');
	$home_electrician_custom_css .= ' .primary-navigation ul ul a {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_headersubmenu_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headersubmenuhover_color = get_theme_mod('home_electrician_headersubmenuhover_color');
	$home_electrician_custom_css .= ' .primary-navigation ul ul a:hover {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_headersubmenuhover_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_headersubmenubg_color = get_theme_mod('home_electrician_headersubmenubg_color');
	$home_electrician_custom_css .= ' .primary-navigation ul ul {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electrician_headersubmenubg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttontext_color = get_theme_mod('home_electrician_buttontext_color');
	$home_electrician_custom_css .= ' #header .m-btn .bttn2 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_buttontext_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttontext_color = get_theme_mod('home_electrician_buttontext_color');
	$home_electrician_custom_css .= ' #header .bttn2 svg path {';
		$home_electrician_custom_css .= 'fill: ' . esc_attr($home_electrician_buttontext_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttonbg_color = get_theme_mod('home_electrician_buttonbg_color');
	$home_electrician_custom_css .= ' #header .m-btn .bttn2 {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electrician_buttonbg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttonhvrtext_color = get_theme_mod('home_electrician_buttonhvrtext_color');
	$home_electrician_custom_css .= ' #header .m-btn .bttn2:hover {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_buttonhvrtext_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttonhvrtext_color = get_theme_mod('home_electrician_buttonhvrtext_color');
	$home_electrician_custom_css .= ' #header .bttn2:hover svg path {';
		$home_electrician_custom_css .= 'fill: ' . esc_attr($home_electrician_buttonhvrtext_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_buttonhrvbg_color = get_theme_mod('home_electrician_buttonhrvbg_color');
	$home_electrician_custom_css .= ' #header .m-btn .bttn2:hover {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electrician_buttonhrvbg_color) . ';';
	$home_electrician_custom_css .= '}';


	// Slider Color

	$home_electricianslider_heading_color = get_theme_mod('home_electricianslider_heading_color');
	$home_electrician_custom_css .= ' #slider .titlebx h2, #slider .titlebx h2 span{';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianslider_heading_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianslider_description_color = get_theme_mod('home_electricianslider_description_color');
	$home_electrician_custom_css .= ' #slider .slider-content p {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianslider_description_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianslider_btn1text_color = get_theme_mod('home_electricianslider_btn1text_color');
	$home_electrician_custom_css .= ' #slider .btn1 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianslider_btn1text_color) . ';';
	$home_electrician_custom_css .= '}';




	//whoweare

	$home_electrician_whoweare_heading_color = get_theme_mod('home_electrician_whoweare_heading_color');
	$home_electrician_custom_css .= ' #whoweare .conbx h2 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_whoweare_heading_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_whoweare_description_color = get_theme_mod('home_electrician_whoweare_description_color');
	$home_electrician_custom_css .= ' #whoweare .title.reveal-type {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_whoweare_description_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_whoweare_imgheading_color = get_theme_mod('home_electrician_whoweare_imgheading_color');
	$home_electrician_custom_css .= ' #whoweare .whowearebx .yearbx .y-title {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_whoweare_imgheading_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_whoweare_yearofexp_color = get_theme_mod('home_electrician_whoweare_yearofexp_color');
	$home_electrician_custom_css .= ' #whoweare .whowearebx .yearbx text textpath {';
		$home_electrician_custom_css .= 'fill: ' . esc_attr($home_electrician_whoweare_yearofexp_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_whoweare_yearofexp_color = get_theme_mod('home_electrician_whoweare_yearofexp_color');
	$home_electrician_custom_css .= ' #whoweare .whowearebx .yearbx .abt-num {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_whoweare_yearofexp_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_whoweare_featuretext_color = get_theme_mod('home_electrician_whoweare_featuretext_color');
	$home_electrician_custom_css .= ' #whoweare .feature-item h4 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_whoweare_featuretext_color) . ';';
	$home_electrician_custom_css .= '}';




	//ourservices

	$home_electricianourservices_subheading_color = get_theme_mod('home_electricianourservices_subheading_color');
	$home_electrician_custom_css .= ' #ourservices-section .titlebx h5 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianourservices_subheading_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianourservices_heading_color = get_theme_mod('home_electricianourservices_heading_color');
	$home_electrician_custom_css .= ' #ourservices-section .titlebx h2 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianourservices_heading_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianourservices_boxtitle_color = get_theme_mod('home_electricianourservices_boxtitle_color');
	$home_electrician_custom_css .= ' #ourservices-section .sertxbx h4, #ourservices-section .s-btn svg {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianourservices_boxtitle_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianourservices_titlehvrbg_color = get_theme_mod('home_electricianourservices_titlehvrbg_color');
	$home_electrician_custom_css .= ' #ourservices-section .single-service-bx:before {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electricianourservices_titlehvrbg_color) . ';';
	$home_electrician_custom_css .= '}';

	



	// footer
	$home_electrician_footer_copy_font_size = get_theme_mod('home_electrician_footer_copy_font_size');
	$home_electrician_custom_css .= ' #footer-section .copyright p {';
		$home_electrician_custom_css .= 'font-size: ' . esc_attr($home_electrician_footer_copy_font_size) . 'px;';
	$home_electrician_custom_css .= '}';

	$home_electricianfooter_copyrighttext_color = get_theme_mod('home_electricianfooter_copyrighttext_color');
	$home_electrician_custom_css .= ' #footer-section .copyright p {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electricianfooter_copyrighttext_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianfooter_copyrightbg_color = get_theme_mod('home_electricianfooter_copyrightbg_color');
	$home_electrician_custom_css .= ' .copyright{';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electricianfooter_copyrightbg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianfooter_copyrightbg_color = get_theme_mod('home_electricianfooter_copyrightbg_color');
	$home_electrician_custom_css .= ' #footer-section .f_tbrd {';
		$home_electrician_custom_css .= 'border-color: ' . esc_attr($home_electricianfooter_copyrightbg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electricianfooter_bg_color = get_theme_mod('home_electricianfooter_bg_color');
	$home_electrician_custom_css .= ' #footer-section {';
		$home_electrician_custom_css .= 'background: ' . esc_attr($home_electricianfooter_bg_color) . ';';
	$home_electrician_custom_css .= '}';

	$home_electrician_wedgets_color = get_theme_mod('home_electrician_wedgets_color');
	$home_electrician_custom_css .= ' #footer-section h1, #footer-section h2, #footer-section h3, #footer-section h4, #footer-section h5, #footer-section h6 {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_wedgets_color) . ' !important;';
	$home_electrician_custom_css .= '}';

	$home_electrician_wedgets_menus_color = get_theme_mod('home_electrician_wedgets_menus_color');
	$home_electrician_custom_css .= ' .widget li a, aside#categories-5 li a, #footer-section a, #footer-section .logo a, #footer-section .logo p {';
		$home_electrician_custom_css .= 'color: ' . esc_attr($home_electrician_wedgets_menus_color) . ' !important;';
	$home_electrician_custom_css .= '}';


